define([
    'tools/all'
],
function () {
    'use strict';

    var allTools = require('tools/all');
    var $new = allTools.jqTools.$new;

    function DomCollection($element) {

        var self = this;

        self.$container = $new('div', $element);
        self.$container.addClass('knockoutContainer');

        self.$subcontainer = $new('div', self.$container);
        self.$subcontainer.addClass('knockoutSubcontainer');
    }

    return DomCollection;
});
